apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-mail-ingress
  namespace: postfix
spec:
  description: Allow all services in cluster to send mail
  endpointSelector:
    matchLabels:
      app: smtp-relay
  ingress:
    - fromEndpoints:
        - matchExpressions:
            - key: io.kubernetes.pod.namespace
              operator: Exists
      toPorts:
        - ports:
            - port: "25"
              protocol: TCP
            - port: "587"
              protocol: TCP
